Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.service
Class IndexStorageService

    java.lang.Object
      org.modeshape.jboss.service.IndexStorageService

All Implemented Interfaces:
  org.jboss.msc.service.Service<IndexStorage>, org.jboss.msc.value.Value<IndexStorage>

    public class IndexStorageService

extends Object
implements org.jboss.msc.service.Service<IndexStorage>

Field Summary

Fields inherited from interface org.jboss.msc.service.Service
`NULL, NULL_VALUE`

Constructor Summary
`IndexStorageService(String repositoryName, EditableDocument queryConfig)`

Method Summary
`org.jboss.msc.value.InjectedValue<String>` | `getIndexStorageBasePathInjector()`
`org.jboss.msc.value.InjectedValue<String>` | `getIndexStorageSourceBasePathInjector()`
`String` | `getRepositoryName()` Get the repository name.
`IndexStorage` | `getValue()`
`void` | `start(org.jboss.msc.service.StartContext arg0)`
`void` | `stop(org.jboss.msc.service.StopContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexStorageService

    public IndexStorageService(String repositoryName,
                               EditableDocument queryConfig)

Method Detail

### getRepositoryName

    public String getRepositoryName()

  Get the repository name.

  Returns:
    repositoryName

### getIndexStorageBasePathInjector

    public org.jboss.msc.value.InjectedValue<String> getIndexStorageBasePathInjector()

  Returns:
    the injector used to set the path where the indexes are to be stored

### getIndexStorageSourceBasePathInjector

    public org.jboss.msc.value.InjectedValue<String> getIndexStorageSourceBasePathInjector()

  Returns:
    the injector used to set the path where the source indexes are to be stored

### getValue

    public IndexStorage getValue()
                          throws IllegalStateException,
                                 IllegalArgumentException

  Specified by:
    `getValue` in interface `org.jboss.msc.value.Value<IndexStorage>`
  Throws:
    `IllegalStateException`
    `IllegalArgumentException`

### start

    public void start(org.jboss.msc.service.StartContext arg0)

  Specified by:
    `start` in interface `org.jboss.msc.service.Service<IndexStorage>`

### stop

    public void stop(org.jboss.msc.service.StopContext arg0)

  Specified by:
    `stop` in interface `org.jboss.msc.service.Service<IndexStorage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.